%define	name	starfighter
%define	oname	Starfighter
%define	version	1.1
%define release	6
%define	Summary	Project: Starfighter

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
URL:		http://www.parallelrealities.co.uk/starfighter.php
Source0:	%{name}-%{version}-1.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-1.1-mdkconf.patch.bz2
License:	GPL
Group:		Games/Arcade
Summary:	%{Summary}
BuildRequires:	SDL-devel SDL_mixer-devel SDL_image-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{oname} is a is a Space/Arcade game which uses the SDL
libraries. 

The story:
After decades of war one company, who had gained powerful
supplying both sides with weaponary, steps forwards and
crushes both warring factions in one swift movement.
Using far superior weaponary and AI craft, the company
was completely unstoppable and now no one can stand in
their way. Thousands began to perish under the iron fist
of the company. The people cried out for a saviour, for
someone to light this dark hour... and someone did.

Features:

26 missions over 4 star systems
Primary and Secondary Weapons (including a laser cannon and a charge
weapon) 
A weapon powerup system
Wingmates
Missions with Primary and Secondary Objectives
A Variety of Missions (Protect, Destroy, etc)
13 different music tracks
Boss battles

%prep
%setup -q
%patch0 -p1 -b .orig

%build
%make DATADIR="%{_gamesdatadir}/%{name}/" OPTFLAGS="%{optflags} -O3"

%install
rm -rf %{buildroot}
%{makeinstall_std} DATADIR="%{buildroot}%{_gamesdatadir}/%{name}/" BINDIR="%{buildroot}%{_gamesbindir}/"

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{Summary}
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc docs/*
%{_gamesdatadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop
%defattr(755,root,root,755)
%{_gamesbindir}/*


%changelog
* Mon Jul 09 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-6mdv2008.0
+ Revision: 50360
- drop debian menu
  rebuild
- Import starfighter



* Thu Aug 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-5mdv2007.0
- xdg menu
- fix group

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-4mdk
- rebuild
- %%mkrel

* Fri Aug 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-3mdk
- rebuild for new menu
- don't bzip2 icons in src.rpm
- fix buildrequires (lib64..)

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- rebuild for new g++

* Mon Sep 01 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- 1.1
- license is now GPL
- regenerated P0

* Sun Aug 03 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-5mdk
- changed description (thx, Adam Williamson & Charles A. Edwards)

* Sat Aug 02 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-4mdk
- corrected url

* Mon Jun 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-3mdk
- change summary to macro to avoid the use of the -debug package's summary
  in menu item

* Wed May 28 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-2mdk
- fix summary and name, it's Project: Starfighter not only Starfighter

* Wed May 21 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-1mdk
- initial mdk release
